petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASGetInterpolation

Gets the matrix used to calculate the interpolation from l-1 to the lth level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetInterpolation(SNES snes, PetscInt level, Mat *mat)

### Input Parameters

| snes | - the multigrid context Many br
| level | - the level (0 is coarsest) to supply [do not supply 0] Many br

### Output Parameters

mat -the interpolation operator Many br

Many br

### Keywords

FAS, multigrid, get, interpolate, level

### See Also

SNESFASSetInterpolation(), SNESFASGetInjection(), SNESFASGetRestriction(), SNESFASGetRScale()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages